From: Paolo Bonzini <pbonzini@redhat.com>
To: Andrew Jones <drjones@redhat.com>, kvm@vger.kernel.org
Cc: rkrcmar@redhat.com
Subject: Re: [kvm-unit-tests PATCH v3 3/6] arch-run: reduce return code ambiguity
Date: Tue, 1 Mar 2016 22:29:16 +0100 [thread overview]
Message-ID: <56D609AC.80303@redhat.com> (raw)
In-Reply-To: <1456772003-27911-4-git-send-email-drjones@redhat.com>
On 29/02/2016 19:53, Andrew Jones wrote:
> +exit_fixup ()
Can you rename the function to run_qemu or something like that?
Otherwise it's not clear that it actually runs "$@".
> + errors=$("${@}" 2>&1 1>&${stdout} | tee >(cat - 1>&2); exit ${PIPESTATUS[0]})
Whoa! :) So stdout goes to {stdout} and from there to the real stdout;
stderr instead is tee'd to stderr and $errors.
Is the "tee" and "cat" necessary? Can you just use printf somewhat like:
# stdout to {stdout}, stderr to $errors
errors=$("$@" 2>&1 1>&${stdout})
ret=$?
printf '%s\n' "$errors" >&2
? Or something like that (for example I'm not sure if you need the \n).
In either case, stdout and stderr can be mixed.
> + temp_file RUNTIME_arch_run <(echo "#!/bin/bash"; cat scripts/arch-run.bash "$TEST_DIR/run")
Please use a pipe instead of a <(...):
(echo "#! /bin/bash"
cat scripts/arch-run.bash "$TEST_DIR/run") | tempfile RUNTIME_arch_run
by changing this in temp_file:
local file="$2"
gzip - < $file
to
local file="${2--}"
gzip -c "$file"
Paolo
next prev parent reply other threads:[~2016-03-01 21:29 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-29 18:53 [kvm-unit-tests PATCH v3 0/6] reduce exit status ambiguity and more Andrew Jones
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 1/6] x86: clean up exit use, use abort Andrew Jones
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 2/6] run scripts need consistent exit status Andrew Jones
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 3/6] arch-run: reduce return code ambiguity Andrew Jones
2016-03-01 21:29 ` Paolo Bonzini [this message]
2016-03-02 12:57 ` Radim Krčmář
2016-03-02 14:44 ` Paolo Bonzini
2016-03-02 15:42 ` Radim Krčmář
2016-03-02 16:05 ` Paolo Bonzini
2016-03-02 17:13 ` Radim Krčmář
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 4/6] cleanup unittests.cfg headers Andrew Jones
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 5/6] runtime: enable some unittest config overriding Andrew Jones
2016-02-29 18:53 ` [kvm-unit-tests PATCH v3 6/6] run scripts: add timeout support Andrew Jones
2016-03-01 21:30 ` [kvm-unit-tests PATCH v3 0/6] reduce exit status ambiguity and more Paolo Bonzini
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=56D609AC.80303@redhat.com \
--to=pbonzini@redhat.com \
--cc=drjones@redhat.com \
--cc=kvm@vger.kernel.org \
--cc=rkrcmar@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.